# GstGLShader

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLShader

### Members

`parent` (GstObject) –
No description available
`context` (GstGLContext *) –
No description available

### Class structure

#### GstGLShaderClass

### GstGL.GLShaderClass

## GstGL.GLShader

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLShader

### Members

`parent` (Gst.Object) –
No description available
`context` (GstGL.GLContext) –
No description available

## GstGL.GLShader

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLShader

### Members

`parent` (Gst.Object) –
No description available
`context` (GstGL.GLContext) –
No description available

### Constructors

#### gst_gl_shader_new

    GstGLShader *
    gst_gl_shader_new (GstGLContext * context)

Note: must be called in the GL thread

Parameters:

`context` –

a GstGLContext

Returns ( [transfer: full]) –

a new empty shader

#### GstGL.GLShader.prototype.new

    function GstGL.GLShader.prototype.new(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_shader_new'
    }

Note: must be called in the GL thread

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLShader) –

a new empty shader

#### GstGL.GLShader.new

    def GstGL.GLShader.new (context):
        #python wrapper for 'gst_gl_shader_new'

Note: must be called in the GL thread

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLShader) –

a new empty shader

#### gst_gl_shader_new_default

    GstGLShader *
    gst_gl_shader_new_default (GstGLContext * context,
                               GError ** error)

Note: must be called in the GL thread

Parameters:

`context` –

a GstGLContext

`error` –

a GError that is filled on failure

Returns ( [transfer: full]) –

a default shader or NULL on failure

Since : 1.8

#### GstGL.GLShader.prototype.new_default

    function GstGL.GLShader.prototype.new_default(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_shader_new_default'
    }

Note: must be called in the GL thread

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLShader) –

a default shader or NULL on failure

Since : 1.8

#### GstGL.GLShader.new_default

    @raises(GLib.GError)
    def GstGL.GLShader.new_default (context):
        #python wrapper for 'gst_gl_shader_new_default'

Note: must be called in the GL thread

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLShader) –

a default shader or NULL on failure

Since : 1.8

#### gst_gl_shader_new_link_with_stages

    GstGLShader *
    gst_gl_shader_new_link_with_stages (GstGLContext * context,
                                        GError ** error,
                                        ... ...)

Each stage will attempt to be compiled and attached to shader. Then the shader will be linked. On error, NULL will be returned and error will contain the details of the error.

Note: must be called in the GL thread

Parameters:

`context` –

a GstGLContext

`error` –

a GError

`...` –

a NULL terminated list of GstGLSLStage's

Returns ( [transfer: full]) –

a new shader with the specified stages.

Since : 1.8

#### gst_gl_shader_new_with_stages

    GstGLShader *
    gst_gl_shader_new_with_stages (GstGLContext * context,
                                   GError ** error,
                                   ... ...)

Each stage will attempt to be compiled and attached to shader. On error, NULL will be returned and error will contain the details of the error.

Note: must be called in the GL thread

Parameters:

`context` –

a GstGLContext

`error` –

a GError

`...` –

a NULL terminated list of GstGLSLStage's

Returns ( [transfer: full]) –

a new shader with the specified stages.

Since : 1.8

### Methods

#### gst_gl_shader_attach

    gboolean
    gst_gl_shader_attach (GstGLShader * shader,
                          GstGLSLStage * stage)

Attaches stage to shader. stage must have been successfully compiled with gst_glsl_stage_compile.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`stage` ( [transfer: floating]) –

a GstGLSLStage to attach

Returns –

whether stage could be attached to shader

Since : 1.8

#### GstGL.GLShader.prototype.attach

    function GstGL.GLShader.prototype.attach(stage: GstGL.GLSLStage): {
        // javascript wrapper for 'gst_gl_shader_attach'
    }

Attaches stage to shader. stage must have been successfully compiled with GstGL.GLSLStage.prototype.compile.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (Number) –

whether stage could be attached to shader

Since : 1.8

#### GstGL.GLShader.attach

    def GstGL.GLShader.attach (self, stage):
        #python wrapper for 'gst_gl_shader_attach'

Attaches stage to shader. stage must have been successfully compiled with GstGL.GLSLStage.compile.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (bool) –

whether stage could be attached to shader

Since : 1.8

#### gst_gl_shader_attach_unlocked

    gboolean
    gst_gl_shader_attach_unlocked (GstGLShader * shader,
                                   GstGLSLStage * stage)

Attaches stage to shader. stage must have been successfully compiled with gst_glsl_stage_compile.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`stage` ( [transfer: floating]) –

a GstGLSLStage to attach

Returns –

whether stage could be attached to shader

Since : 1.8

#### GstGL.GLShader.prototype.attach_unlocked

    function GstGL.GLShader.prototype.attach_unlocked(stage: GstGL.GLSLStage): {
        // javascript wrapper for 'gst_gl_shader_attach_unlocked'
    }

Attaches stage to shader. stage must have been successfully compiled with GstGL.GLSLStage.prototype.compile.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (Number) –

whether stage could be attached to shader

Since : 1.8

#### GstGL.GLShader.attach_unlocked

    def GstGL.GLShader.attach_unlocked (self, stage):
        #python wrapper for 'gst_gl_shader_attach_unlocked'

Attaches stage to shader. stage must have been successfully compiled with GstGL.GLSLStage.compile.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (bool) –

whether stage could be attached to shader

Since : 1.8

#### gst_gl_shader_bind_attribute_location

    gst_gl_shader_bind_attribute_location (GstGLShader * shader,
                                           guint index,
                                           const gchar* name)

Bind attribute name to the specified location index using `glBindAttributeLocation()`.

Parameters:

`shader` –

a GstGLShader

`index` –

attribute index to set

`name` –

name of the attribute

#### GstGL.GLShader.prototype.bind_attribute_location

    function GstGL.GLShader.prototype.bind_attribute_location(index: Number, name: String): {
        // javascript wrapper for 'gst_gl_shader_bind_attribute_location'
    }

Bind attribute name to the specified location index using `glBindAttributeLocation()`.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`index` (Number) –

attribute index to set

`name` (String) –

name of the attribute

#### GstGL.GLShader.bind_attribute_location

    def GstGL.GLShader.bind_attribute_location (self, index, name):
        #python wrapper for 'gst_gl_shader_bind_attribute_location'

Bind attribute name to the specified location index using `glBindAttributeLocation()`.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`index` (int) –

attribute index to set

`name` (str) –

name of the attribute

#### gst_gl_shader_bind_frag_data_location

    gst_gl_shader_bind_frag_data_location (GstGLShader * shader,
                                           guint index,
                                           const gchar* name)

Bind attribute name to the specified location index using `glBindFragDataLocation()`.

Parameters:

`shader` –

a GstGLShader

`index` –

attribute index to set

`name` –

name of the attribute

#### GstGL.GLShader.prototype.bind_frag_data_location

    function GstGL.GLShader.prototype.bind_frag_data_location(index: Number, name: String): {
        // javascript wrapper for 'gst_gl_shader_bind_frag_data_location'
    }

Bind attribute name to the specified location index using `glBindFragDataLocation()`.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`index` (Number) –

attribute index to set

`name` (String) –

name of the attribute

#### GstGL.GLShader.bind_frag_data_location

    def GstGL.GLShader.bind_frag_data_location (self, index, name):
        #python wrapper for 'gst_gl_shader_bind_frag_data_location'

Bind attribute name to the specified location index using `glBindFragDataLocation()`.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`index` (int) –

attribute index to set

`name` (str) –

name of the attribute

#### gst_gl_shader_compile_attach_stage

    gboolean
    gst_gl_shader_compile_attach_stage (GstGLShader * shader,
                                        GstGLSLStage * stage,
                                        GError ** error)

Compiles stage and attaches it to shader.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`stage` –

a GstGLSLStage to attach

`error` –

a GError

Returns –

whether stage could be compiled and attached to shader

Since : 1.8

#### GstGL.GLShader.prototype.compile_attach_stage

    function GstGL.GLShader.prototype.compile_attach_stage(stage: GstGL.GLSLStage): {
        // javascript wrapper for 'gst_gl_shader_compile_attach_stage'
    }

Compiles stage and attaches it to shader.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (Number) –

whether stage could be compiled and attached to shader

Since : 1.8

#### GstGL.GLShader.compile_attach_stage

    @raises(GLib.GError)
    def GstGL.GLShader.compile_attach_stage (self, stage):
        #python wrapper for 'gst_gl_shader_compile_attach_stage'

Compiles stage and attaches it to shader.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Returns (bool) –

whether stage could be compiled and attached to shader

Since : 1.8

#### gst_gl_shader_detach

    gst_gl_shader_detach (GstGLShader * shader,
                          GstGLSLStage * stage)

Detaches stage from shader. stage must have been successfully attached to shader with gst_gl_shader_attach or gst_gl_shader_attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`stage` –

a GstGLSLStage to attach

Since : 1.8

#### GstGL.GLShader.prototype.detach

    function GstGL.GLShader.prototype.detach(stage: GstGL.GLSLStage): {
        // javascript wrapper for 'gst_gl_shader_detach'
    }

Detaches stage from shader. stage must have been successfully attached to shader with GstGL.GLShader.prototype.attach or GstGL.GLShader.prototype.attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Since : 1.8

#### GstGL.GLShader.detach

    def GstGL.GLShader.detach (self, stage):
        #python wrapper for 'gst_gl_shader_detach'

Detaches stage from shader. stage must have been successfully attached to shader with GstGL.GLShader.attach or GstGL.GLShader.attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Since : 1.8

#### gst_gl_shader_detach_unlocked

    gst_gl_shader_detach_unlocked (GstGLShader * shader,
                                   GstGLSLStage * stage)

Detaches stage from shader. stage must have been successfully attached to shader with gst_gl_shader_attach or gst_gl_shader_attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`stage` –

a GstGLSLStage to attach

Since : 1.8

#### GstGL.GLShader.prototype.detach_unlocked

    function GstGL.GLShader.prototype.detach_unlocked(stage: GstGL.GLSLStage): {
        // javascript wrapper for 'gst_gl_shader_detach_unlocked'
    }

Detaches stage from shader. stage must have been successfully attached to shader with GstGL.GLShader.prototype.attach or GstGL.GLShader.prototype.attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Since : 1.8

#### GstGL.GLShader.detach_unlocked

    def GstGL.GLShader.detach_unlocked (self, stage):
        #python wrapper for 'gst_gl_shader_detach_unlocked'

Detaches stage from shader. stage must have been successfully attached to shader with GstGL.GLShader.attach or GstGL.GLShader.attach_unlocked.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage to attach

Since : 1.8

#### gst_gl_shader_get_attribute_location

    gint
    gst_gl_shader_get_attribute_location (GstGLShader * shader,
                                          const gchar* name)

Parameters:

`shader` –

a GstGLShader

`name` –

name of the attribute

Returns –

the attribute index for name in shader or -1 on failure

#### GstGL.GLShader.prototype.get_attribute_location

    function GstGL.GLShader.prototype.get_attribute_location(name: String): {
        // javascript wrapper for 'gst_gl_shader_get_attribute_location'
    }

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the attribute

Returns (Number) –

the attribute index for name in shader or -1 on failure

#### GstGL.GLShader.get_attribute_location

    def GstGL.GLShader.get_attribute_location (self, name):
        #python wrapper for 'gst_gl_shader_get_attribute_location'

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the attribute

Returns (int) –

the attribute index for name in shader or -1 on failure

#### gst_gl_shader_get_program_handle

    int
    gst_gl_shader_get_program_handle (GstGLShader * shader)

Parameters:

`shader` –

a GstGLShader

Returns –

the GL program handle for this shader

Since : 1.8

#### GstGL.GLShader.prototype.get_program_handle

    function GstGL.GLShader.prototype.get_program_handle(): {
        // javascript wrapper for 'gst_gl_shader_get_program_handle'
    }

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (Number) –

the GL program handle for this shader

Since : 1.8

#### GstGL.GLShader.get_program_handle

    def GstGL.GLShader.get_program_handle (self):
        #python wrapper for 'gst_gl_shader_get_program_handle'

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (int) –

the GL program handle for this shader

Since : 1.8

#### gst_gl_shader_is_linked

    gboolean
    gst_gl_shader_is_linked (GstGLShader * shader)

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

Returns –

whether shader has been successfully linked

Since : 1.8

#### GstGL.GLShader.prototype.is_linked

    function GstGL.GLShader.prototype.is_linked(): {
        // javascript wrapper for 'gst_gl_shader_is_linked'
    }

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (Number) –

whether shader has been successfully linked

Since : 1.8

#### GstGL.GLShader.is_linked

    def GstGL.GLShader.is_linked (self):
        #python wrapper for 'gst_gl_shader_is_linked'

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (bool) –

whether shader has been successfully linked

Since : 1.8

#### gst_gl_shader_link

    gboolean
    gst_gl_shader_link (GstGLShader * shader,
                        GError ** error)

Links the current list of GstGLSLStage's in shader.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

`error` –

a GError

Returns –

whether shader could be linked together.

Since : 1.8

#### GstGL.GLShader.prototype.link

    function GstGL.GLShader.prototype.link(): {
        // javascript wrapper for 'gst_gl_shader_link'
    }

Links the current list of GstGL.GLSLStage's in shader.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (Number) –

whether shader could be linked together.

Since : 1.8

#### GstGL.GLShader.link

    @raises(GLib.GError)
    def GstGL.GLShader.link (self):
        #python wrapper for 'gst_gl_shader_link'

Links the current list of GstGL.GLSLStage's in shader.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Returns (bool) –

whether shader could be linked together.

Since : 1.8

#### gst_gl_shader_release

    gst_gl_shader_release (GstGLShader * shader)

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

Since : 1.8

#### GstGL.GLShader.prototype.release

    function GstGL.GLShader.prototype.release(): {
        // javascript wrapper for 'gst_gl_shader_release'
    }

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Since : 1.8

#### GstGL.GLShader.release

    def GstGL.GLShader.release (self):
        #python wrapper for 'gst_gl_shader_release'

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Since : 1.8

#### gst_gl_shader_release_unlocked

    gst_gl_shader_release_unlocked (GstGLShader * shader)

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` –

a GstGLShader

Since : 1.8

#### GstGL.GLShader.prototype.release_unlocked

    function GstGL.GLShader.prototype.release_unlocked(): {
        // javascript wrapper for 'gst_gl_shader_release_unlocked'
    }

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Since : 1.8

#### GstGL.GLShader.release_unlocked

    def GstGL.GLShader.release_unlocked (self):
        #python wrapper for 'gst_gl_shader_release_unlocked'

Releases the shader and stages.

Note: must be called in the GL thread

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

Since : 1.8

#### gst_gl_shader_set_uniform_1f

    gst_gl_shader_set_uniform_1f (GstGLShader * shader,
                                  const gchar* name,
                                  gfloat value)

Perform `glUniform1f()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`value` –

value to set

#### GstGL.GLShader.prototype.set_uniform_1f

    function GstGL.GLShader.prototype.set_uniform_1f(name: String, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_1f'
    }

Perform `glUniform1f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`value` (Number) –

value to set

#### GstGL.GLShader.set_uniform_1f

    def GstGL.GLShader.set_uniform_1f (self, name, value):
        #python wrapper for 'gst_gl_shader_set_uniform_1f'

Perform `glUniform1f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`value` (float) –

value to set

#### gst_gl_shader_set_uniform_1fv

    gst_gl_shader_set_uniform_1fv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gfloat* value)

Perform `glUniform1fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_1fv

    function GstGL.GLShader.prototype.set_uniform_1fv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_1fv'
    }

Perform `glUniform1fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_1fv

    def GstGL.GLShader.set_uniform_1fv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_1fv'

Perform `glUniform1fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ float ]) –

values to set

#### gst_gl_shader_set_uniform_1i

    gst_gl_shader_set_uniform_1i (GstGLShader * shader,
                                  const gchar* name,
                                  gint value)

Perform `glUniform1i()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`value` –

value to set

#### GstGL.GLShader.prototype.set_uniform_1i

    function GstGL.GLShader.prototype.set_uniform_1i(name: String, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_1i'
    }

Perform `glUniform1i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`value` (Number) –

value to set

#### GstGL.GLShader.set_uniform_1i

    def GstGL.GLShader.set_uniform_1i (self, name, value):
        #python wrapper for 'gst_gl_shader_set_uniform_1i'

Perform `glUniform1i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`value` (int) –

value to set

#### gst_gl_shader_set_uniform_1iv

    gst_gl_shader_set_uniform_1iv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gint* value)

Perform `glUniform1iv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_1iv

    function GstGL.GLShader.prototype.set_uniform_1iv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_1iv'
    }

Perform `glUniform1iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_1iv

    def GstGL.GLShader.set_uniform_1iv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_1iv'

Perform `glUniform1iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ int ]) –

values to set

#### gst_gl_shader_set_uniform_2f

    gst_gl_shader_set_uniform_2f (GstGLShader * shader,
                                  const gchar* name,
                                  gfloat v0,
                                  gfloat v1)

Perform `glUniform2f()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

#### GstGL.GLShader.prototype.set_uniform_2f

    function GstGL.GLShader.prototype.set_uniform_2f(name: String, v0: Number, v1: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_2f'
    }

Perform `glUniform2f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

#### GstGL.GLShader.set_uniform_2f

    def GstGL.GLShader.set_uniform_2f (self, name, v0, v1):
        #python wrapper for 'gst_gl_shader_set_uniform_2f'

Perform `glUniform2f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (float) –

first value to set

`v1` (float) –

second value to set

#### gst_gl_shader_set_uniform_2fv

    gst_gl_shader_set_uniform_2fv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gfloat* value)

Perform `glUniform2fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_2fv

    function GstGL.GLShader.prototype.set_uniform_2fv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_2fv'
    }

Perform `glUniform2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_2fv

    def GstGL.GLShader.set_uniform_2fv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_2fv'

Perform `glUniform2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ float ]) –

values to set

#### gst_gl_shader_set_uniform_2i

    gst_gl_shader_set_uniform_2i (GstGLShader * shader,
                                  const gchar* name,
                                  gint v0,
                                  gint v1)

Perform `glUniform2i()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

#### GstGL.GLShader.prototype.set_uniform_2i

    function GstGL.GLShader.prototype.set_uniform_2i(name: String, v0: Number, v1: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_2i'
    }

Perform `glUniform2i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

#### GstGL.GLShader.set_uniform_2i

    def GstGL.GLShader.set_uniform_2i (self, name, v0, v1):
        #python wrapper for 'gst_gl_shader_set_uniform_2i'

Perform `glUniform2i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (int) –

first value to set

`v1` (int) –

second value to set

#### gst_gl_shader_set_uniform_2iv

    gst_gl_shader_set_uniform_2iv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gint* value)

Perform `glUniform2iv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_2iv

    function GstGL.GLShader.prototype.set_uniform_2iv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_2iv'
    }

Perform `glUniform2iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_2iv

    def GstGL.GLShader.set_uniform_2iv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_2iv'

Perform `glUniform2iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ int ]) –

values to set

#### gst_gl_shader_set_uniform_3f

    gst_gl_shader_set_uniform_3f (GstGLShader * shader,
                                  const gchar* name,
                                  gfloat v0,
                                  gfloat v1,
                                  gfloat v2)

Perform `glUniform3f()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

`v2` –

third value to set

#### GstGL.GLShader.prototype.set_uniform_3f

    function GstGL.GLShader.prototype.set_uniform_3f(name: String, v0: Number, v1: Number, v2: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_3f'
    }

Perform `glUniform3f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

`v2` (Number) –

third value to set

#### GstGL.GLShader.set_uniform_3f

    def GstGL.GLShader.set_uniform_3f (self, name, v0, v1, v2):
        #python wrapper for 'gst_gl_shader_set_uniform_3f'

Perform `glUniform3f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (float) –

first value to set

`v1` (float) –

second value to set

`v2` (float) –

third value to set

#### gst_gl_shader_set_uniform_3fv

    gst_gl_shader_set_uniform_3fv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gfloat* value)

Perform `glUniform3fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_3fv

    function GstGL.GLShader.prototype.set_uniform_3fv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_3fv'
    }

Perform `glUniform3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_3fv

    def GstGL.GLShader.set_uniform_3fv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_3fv'

Perform `glUniform3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ float ]) –

values to set

#### gst_gl_shader_set_uniform_3i

    gst_gl_shader_set_uniform_3i (GstGLShader * shader,
                                  const gchar* name,
                                  gint v0,
                                  gint v1,
                                  gint v2)

Perform `glUniform3i()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

`v2` –

third value to set

#### GstGL.GLShader.prototype.set_uniform_3i

    function GstGL.GLShader.prototype.set_uniform_3i(name: String, v0: Number, v1: Number, v2: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_3i'
    }

Perform `glUniform3i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

`v2` (Number) –

third value to set

#### GstGL.GLShader.set_uniform_3i

    def GstGL.GLShader.set_uniform_3i (self, name, v0, v1, v2):
        #python wrapper for 'gst_gl_shader_set_uniform_3i'

Perform `glUniform3i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (int) –

first value to set

`v1` (int) –

second value to set

`v2` (int) –

third value to set

#### gst_gl_shader_set_uniform_3iv

    gst_gl_shader_set_uniform_3iv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gint* value)

Perform `glUniform3iv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_3iv

    function GstGL.GLShader.prototype.set_uniform_3iv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_3iv'
    }

Perform `glUniform3iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_3iv

    def GstGL.GLShader.set_uniform_3iv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_3iv'

Perform `glUniform3iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ int ]) –

values to set

#### gst_gl_shader_set_uniform_4f

    gst_gl_shader_set_uniform_4f (GstGLShader * shader,
                                  const gchar* name,
                                  gfloat v0,
                                  gfloat v1,
                                  gfloat v2,
                                  gfloat v3)

Perform `glUniform4f()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

`v2` –

third value to set

`v3` –

fourth value to set

#### GstGL.GLShader.prototype.set_uniform_4f

    function GstGL.GLShader.prototype.set_uniform_4f(name: String, v0: Number, v1: Number, v2: Number, v3: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_4f'
    }

Perform `glUniform4f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

`v2` (Number) –

third value to set

`v3` (Number) –

fourth value to set

#### GstGL.GLShader.set_uniform_4f

    def GstGL.GLShader.set_uniform_4f (self, name, v0, v1, v2, v3):
        #python wrapper for 'gst_gl_shader_set_uniform_4f'

Perform `glUniform4f()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (float) –

first value to set

`v1` (float) –

second value to set

`v2` (float) –

third value to set

`v3` (float) –

fourth value to set

#### gst_gl_shader_set_uniform_4fv

    gst_gl_shader_set_uniform_4fv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gfloat* value)

Perform `glUniform4fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_4fv

    function GstGL.GLShader.prototype.set_uniform_4fv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_4fv'
    }

Perform `glUniform4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_4fv

    def GstGL.GLShader.set_uniform_4fv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_4fv'

Perform `glUniform4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ float ]) –

values to set

#### gst_gl_shader_set_uniform_4i

    gst_gl_shader_set_uniform_4i (GstGLShader * shader,
                                  const gchar* name,
                                  gint v0,
                                  gint v1,
                                  gint v2,
                                  gint v3)

Perform `glUniform4i()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`v0` –

first value to set

`v1` –

second value to set

`v2` –

third value to set

`v3` –

fourth value to set

#### GstGL.GLShader.prototype.set_uniform_4i

    function GstGL.GLShader.prototype.set_uniform_4i(name: String, v0: Number, v1: Number, v2: Number, v3: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_4i'
    }

Perform `glUniform4i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`v0` (Number) –

first value to set

`v1` (Number) –

second value to set

`v2` (Number) –

third value to set

`v3` (Number) –

fourth value to set

#### GstGL.GLShader.set_uniform_4i

    def GstGL.GLShader.set_uniform_4i (self, name, v0, v1, v2, v3):
        #python wrapper for 'gst_gl_shader_set_uniform_4i'

Perform `glUniform4i()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`v0` (int) –

first value to set

`v1` (int) –

second value to set

`v2` (int) –

third value to set

`v3` (int) –

fourth value to set

#### gst_gl_shader_set_uniform_4iv

    gst_gl_shader_set_uniform_4iv (GstGLShader * shader,
                                   const gchar* name,
                                   guint count,
                                   const gint* value)

Perform `glUniform4iv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of values to set

`value` ( [arraylength=count]) –

values to set

#### GstGL.GLShader.prototype.set_uniform_4iv

    function GstGL.GLShader.prototype.set_uniform_4iv(name: String, count: Number, value: [ Number ]): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_4iv'
    }

Perform `glUniform4iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of values to set

`value` ([ Number ]) –

values to set

#### GstGL.GLShader.set_uniform_4iv

    def GstGL.GLShader.set_uniform_4iv (self, name, count, value):
        #python wrapper for 'gst_gl_shader_set_uniform_4iv'

Perform `glUniform4iv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of values to set

`value` ([ int ]) –

values to set

#### gst_gl_shader_set_uniform_matrix_2fv

    gst_gl_shader_set_uniform_matrix_2fv (GstGLShader * shader,
                                          const gchar* name,
                                          gint count,
                                          gboolean transpose,
                                          const gfloat* value)

Perform `glUniformMatrix2fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 2x2 matrices to set

`transpose` –

transpose the matrix

`value` –

matrix to set

#### GstGL.GLShader.prototype.set_uniform_matrix_2fv

    function GstGL.GLShader.prototype.set_uniform_matrix_2fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_2fv'
    }

Perform `glUniformMatrix2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 2x2 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

matrix to set

#### GstGL.GLShader.set_uniform_matrix_2fv

    def GstGL.GLShader.set_uniform_matrix_2fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_2fv'

Perform `glUniformMatrix2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 2x2 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

matrix to set

#### gst_gl_shader_set_uniform_matrix_2x3fv

    gst_gl_shader_set_uniform_matrix_2x3fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix2x3fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 2x3 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_2x3fv

    function GstGL.GLShader.prototype.set_uniform_matrix_2x3fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_2x3fv'
    }

Perform `glUniformMatrix2x3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 2x3 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_2x3fv

    def GstGL.GLShader.set_uniform_matrix_2x3fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_2x3fv'

Perform `glUniformMatrix2x3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 2x3 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_2x4fv

    gst_gl_shader_set_uniform_matrix_2x4fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix2x4fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 2x4 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_2x4fv

    function GstGL.GLShader.prototype.set_uniform_matrix_2x4fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_2x4fv'
    }

Perform `glUniformMatrix2x4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 2x4 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_2x4fv

    def GstGL.GLShader.set_uniform_matrix_2x4fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_2x4fv'

Perform `glUniformMatrix2x4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 2x4 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_3fv

    gst_gl_shader_set_uniform_matrix_3fv (GstGLShader * shader,
                                          const gchar* name,
                                          gint count,
                                          gboolean transpose,
                                          const gfloat* value)

Perform `glUniformMatrix3fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 3x3 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_3fv

    function GstGL.GLShader.prototype.set_uniform_matrix_3fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_3fv'
    }

Perform `glUniformMatrix3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 3x3 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_3fv

    def GstGL.GLShader.set_uniform_matrix_3fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_3fv'

Perform `glUniformMatrix3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 3x3 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_3x2fv

    gst_gl_shader_set_uniform_matrix_3x2fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix3x2fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 3x2 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_3x2fv

    function GstGL.GLShader.prototype.set_uniform_matrix_3x2fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_3x2fv'
    }

Perform `glUniformMatrix3x2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 3x2 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_3x2fv

    def GstGL.GLShader.set_uniform_matrix_3x2fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_3x2fv'

Perform `glUniformMatrix3x2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 3x2 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_3x4fv

    gst_gl_shader_set_uniform_matrix_3x4fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix3x4fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 3x4 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_3x4fv

    function GstGL.GLShader.prototype.set_uniform_matrix_3x4fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_3x4fv'
    }

Perform `glUniformMatrix3x4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 3x4 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_3x4fv

    def GstGL.GLShader.set_uniform_matrix_3x4fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_3x4fv'

Perform `glUniformMatrix3x4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 3x4 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_4fv

    gst_gl_shader_set_uniform_matrix_4fv (GstGLShader * shader,
                                          const gchar* name,
                                          gint count,
                                          gboolean transpose,
                                          const gfloat* value)

Perform `glUniformMatrix4fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 4x4 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_4fv

    function GstGL.GLShader.prototype.set_uniform_matrix_4fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_4fv'
    }

Perform `glUniformMatrix4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 4x4 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_4fv

    def GstGL.GLShader.set_uniform_matrix_4fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_4fv'

Perform `glUniformMatrix4fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 4x4 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_4x2fv

    gst_gl_shader_set_uniform_matrix_4x2fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix4x2fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 4x2 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_4x2fv

    function GstGL.GLShader.prototype.set_uniform_matrix_4x2fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_4x2fv'
    }

Perform `glUniformMatrix4x2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 4x2 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_4x2fv

    def GstGL.GLShader.set_uniform_matrix_4x2fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_4x2fv'

Perform `glUniformMatrix4x2fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 4x2 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_set_uniform_matrix_4x3fv

    gst_gl_shader_set_uniform_matrix_4x3fv (GstGLShader * shader,
                                            const gchar* name,
                                            gint count,
                                            gboolean transpose,
                                            const gfloat* value)

Perform `glUniformMatrix4x3fv()` for name on shader

Parameters:

`shader` –

a GstGLShader

`name` –

name of the uniform

`count` –

number of 4x3 matrices to set

`transpose` –

transpose the matrix

`value` –

values to set

#### GstGL.GLShader.prototype.set_uniform_matrix_4x3fv

    function GstGL.GLShader.prototype.set_uniform_matrix_4x3fv(name: String, count: Number, transpose: Number, value: Number): {
        // javascript wrapper for 'gst_gl_shader_set_uniform_matrix_4x3fv'
    }

Perform `glUniformMatrix4x3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (String) –

name of the uniform

`count` (Number) –

number of 4x3 matrices to set

`transpose` (Number) –

transpose the matrix

`value` (Number) –

values to set

#### GstGL.GLShader.set_uniform_matrix_4x3fv

    def GstGL.GLShader.set_uniform_matrix_4x3fv (self, name, count, transpose, value):
        #python wrapper for 'gst_gl_shader_set_uniform_matrix_4x3fv'

Perform `glUniformMatrix4x3fv()` for name on shader

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

`name` (str) –

name of the uniform

`count` (int) –

number of 4x3 matrices to set

`transpose` (bool) –

transpose the matrix

`value` (float) –

values to set

#### gst_gl_shader_use

    gst_gl_shader_use (GstGLShader * shader)

Mark's shader as being used for the next GL draw command.

Note: must be called in the GL thread and shader must have been linked.

Parameters:

`shader` –

a GstGLShader

#### GstGL.GLShader.prototype.use

    function GstGL.GLShader.prototype.use(): {
        // javascript wrapper for 'gst_gl_shader_use'
    }

Mark's shader as being used for the next GL draw command.

Note: must be called in the GL thread and shader must have been linked.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

#### GstGL.GLShader.use

    def GstGL.GLShader.use (self):
        #python wrapper for 'gst_gl_shader_use'

Mark's shader as being used for the next GL draw command.

Note: must be called in the GL thread and shader must have been linked.

Parameters:

`shader` (GstGL.GLShader) –

a GstGL.GLShader

### Functions

#### gst_gl_shader_string_fragment_external_oes_get_default

    gchar*
    gst_gl_shader_string_fragment_external_oes_get_default (GstGLContext * context,
                                                            GstGLSLVersion version,
                                                            GstGLSLProfile profile)

Parameters:

`context` –

a GstGLContext

`version` –

a GstGLSLVersion

`profile` –

a GstGLSLProfile

Returns –

a passthrough shader string for copying an input external-oes texture to the output

Since : 1.16

#### GstGL.GLShader.prototype.string_fragment_external_oes_get_default

    function GstGL.GLShader.prototype.string_fragment_external_oes_get_default(context: GstGL.GLContext, version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile): {
        // javascript wrapper for 'gst_gl_shader_string_fragment_external_oes_get_default'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (String) –

a passthrough shader string for copying an input external-oes texture to the output

Since : 1.16

#### GstGL.GLShader.string_fragment_external_oes_get_default

    def GstGL.GLShader.string_fragment_external_oes_get_default (context, version, profile):
        #python wrapper for 'gst_gl_shader_string_fragment_external_oes_get_default'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (str) –

a passthrough shader string for copying an input external-oes texture to the output

Since : 1.16

#### gst_gl_shader_string_fragment_get_default

    gchar*
    gst_gl_shader_string_fragment_get_default (GstGLContext * context,
                                               GstGLSLVersion version,
                                               GstGLSLProfile profile)

Parameters:

`context` –

a GstGLContext

`version` –

a GstGLSLVersion

`profile` –

a GstGLSLProfile

Returns –

a passthrough shader string for copying an input texture to the output

Since : 1.16

#### GstGL.GLShader.prototype.string_fragment_get_default

    function GstGL.GLShader.prototype.string_fragment_get_default(context: GstGL.GLContext, version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile): {
        // javascript wrapper for 'gst_gl_shader_string_fragment_get_default'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (String) –

a passthrough shader string for copying an input texture to the output

Since : 1.16

#### GstGL.GLShader.string_fragment_get_default

    def GstGL.GLShader.string_fragment_get_default (context, version, profile):
        #python wrapper for 'gst_gl_shader_string_fragment_get_default'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (str) –

a passthrough shader string for copying an input texture to the output

Since : 1.16

#### gst_gl_shader_string_get_highest_precision

    const gchar*
    gst_gl_shader_string_get_highest_precision (GstGLContext * context,
                                                GstGLSLVersion version,
                                                GstGLSLProfile profile)

Generates a shader string that defines the precision of float types in GLSL shaders. This is particularly needed for fragment shaders in a GLSL ES context where there is no default precision specified.

Practically, this will return the string 'precision mediump float' or 'precision highp float' depending on if high precision floats are determined to be supported.

Parameters:

`context` –

a GstGLContext

`version` –

a GstGLSLVersion

`profile` –

a GstGLSLProfile

Returns –

a shader string defining the precision of float types based on context, version and profile

Since : 1.16

#### GstGL.GLShader.prototype.string_get_highest_precision

    function GstGL.GLShader.prototype.string_get_highest_precision(context: GstGL.GLContext, version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile): {
        // javascript wrapper for 'gst_gl_shader_string_get_highest_precision'
    }

Generates a shader string that defines the precision of float types in GLSL shaders. This is particularly needed for fragment shaders in a GLSL ES context where there is no default precision specified.

Practically, this will return the string 'precision mediump float' or 'precision highp float' depending on if high precision floats are determined to be supported.

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (String) –

a shader string defining the precision of float types based on context, version and profile

Since : 1.16

#### GstGL.GLShader.string_get_highest_precision

    def GstGL.GLShader.string_get_highest_precision (context, version, profile):
        #python wrapper for 'gst_gl_shader_string_get_highest_precision'

Generates a shader string that defines the precision of float types in GLSL shaders. This is particularly needed for fragment shaders in a GLSL ES context where there is no default precision specified.

Practically, this will return the string 'precision mediump float' or 'precision highp float' depending on if high precision floats are determined to be supported.

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (str) –

a shader string defining the precision of float types based on context, version and profile

Since : 1.16

### Properties

#### linked

    “linked” gboolean

Flags : Read

#### linked

    “linked” Number

Flags : Read

#### linked

    “self.props.linked” bool

Flags : Read

The results of the search are